# app/__init__.py

from app.config import get_config
from fastapi import FastAPI

def create_app(env_name: str) -> FastAPI:
    config = get_config(env_name)
    app = FastAPI(title="Code Challenge")
    
    app.config = config

    return app
